package com.muyu.marketing.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuAddModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuUpdModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @program: 2204a-cloud-server
 * @description: 活动商品规格修改入参
 * @author: AoCi Tian
 * @create: 2024-11-26 19:25
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamInfoUpdReq {

    /**
     * 拼团ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    /**
     * 修改 商品的SKU集合
     */
    private List<ActivityTeamProductSkuUpdModel> activityTeamProductSkuUpdModels;

    /**
     * 添加商品的SKU集合
     */
    private List<ActivityTeamProductSkuAddModel> activityTeamProductSkuAddModelList;

    /**
     * 删除商品SKU集合
     */
    private List<Long> ids;

}
